
<!DOCTYPE html>

<html lang="en">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.18.1: http://docutils.sourceforge.net/" />

    <title>nl2declare.test package &#8212; NL2Declare  documentation</title>
    <link rel="stylesheet" type="text/css" href="_static/pygments.css" />
    <link rel="stylesheet" type="text/css" href="_static/alabaster.css" />
    <script data-url_root="./" id="documentation_options" src="_static/documentation_options.js"></script>
    <script src="_static/jquery.js"></script>
    <script src="_static/underscore.js"></script>
    <script src="_static/_sphinx_javascript_frameworks_compat.js"></script>
    <script src="_static/doctools.js"></script>
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" />
    <link rel="next" title="nl2declare.test.lingproc package" href="nl2declare.test.lingproc.html" />
    <link rel="prev" title="nl2declare.lingproc package" href="nl2declare.lingproc.html" />
   
  <link rel="stylesheet" href="_static/custom.css" type="text/css" />
  
  
  <meta name="viewport" content="width=device-width, initial-scale=0.9, maximum-scale=0.9" />

  </head><body>
  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          

          <div class="body" role="main">
            
  <section id="nl2declare-test-package">
<h1>nl2declare.test package<a class="headerlink" href="#nl2declare-test-package" title="Permalink to this heading">¶</a></h1>
<section id="subpackages">
<h2>Subpackages<a class="headerlink" href="#subpackages" title="Permalink to this heading">¶</a></h2>
<div class="toctree-wrapper compound">
<ul>
<li class="toctree-l1"><a class="reference internal" href="nl2declare.test.lingproc.html">nl2declare.test.lingproc package</a><ul>
<li class="toctree-l2"><a class="reference internal" href="nl2declare.test.lingproc.html#submodules">Submodules</a></li>
<li class="toctree-l2"><a class="reference internal" href="nl2declare.test.lingproc.html#module-nl2declare.test.lingproc.test_declare_constructor">nl2declare.test.lingproc.test_declare_constructor module</a></li>
<li class="toctree-l2"><a class="reference internal" href="nl2declare.test.lingproc.html#module-nl2declare.test.lingproc.test_text_parser">nl2declare.test.lingproc.test_text_parser module</a></li>
<li class="toctree-l2"><a class="reference internal" href="nl2declare.test.lingproc.html#module-nl2declare.test.lingproc">Module contents</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="nl2declare.test.utils.html">nl2declare.test.utils package</a><ul>
<li class="toctree-l2"><a class="reference internal" href="nl2declare.test.utils.html#submodules">Submodules</a></li>
<li class="toctree-l2"><a class="reference internal" href="nl2declare.test.utils.html#module-nl2declare.test.utils.test_io">nl2declare.test.utils.test_io module</a></li>
<li class="toctree-l2"><a class="reference internal" href="nl2declare.test.utils.html#module-nl2declare.test.utils.test_wordclasses">nl2declare.test.utils.test_wordclasses module</a></li>
<li class="toctree-l2"><a class="reference internal" href="nl2declare.test.utils.html#module-nl2declare.test.utils">Module contents</a></li>
</ul>
</li>
</ul>
</div>
</section>
<section id="submodules">
<h2>Submodules<a class="headerlink" href="#submodules" title="Permalink to this heading">¶</a></h2>
</section>
<section id="module-nl2declare.test.test__main__">
<span id="nl2declare-test-test-main-module"></span><h2>nl2declare.test.test__main__ module<a class="headerlink" href="#module-nl2declare.test.test__main__" title="Permalink to this heading">¶</a></h2>
<dl class="py function">
<dt class="sig sig-object py" id="nl2declare.test.test__main__.test_main_run_approach_on_csv_file">
<span class="sig-prename descclassname"><span class="pre">nl2declare.test.test__main__.</span></span><span class="sig-name descname"><span class="pre">test_main_run_approach_on_csv_file</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">capsys</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="_modules/nl2declare/test/test__main__.html#test_main_run_approach_on_csv_file"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#nl2declare.test.test__main__.test_main_run_approach_on_csv_file" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="nl2declare.test.test__main__.test_main_run_single_constraint">
<span class="sig-prename descclassname"><span class="pre">nl2declare.test.test__main__.</span></span><span class="sig-name descname"><span class="pre">test_main_run_single_constraint</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">capsys</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="_modules/nl2declare/test/test__main__.html#test_main_run_single_constraint"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#nl2declare.test.test__main__.test_main_run_single_constraint" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</section>
<section id="module-nl2declare.test">
<span id="module-contents"></span><h2>Module contents<a class="headerlink" href="#module-nl2declare.test" title="Permalink to this heading">¶</a></h2>
</section>
</section>


          </div>
          
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
<h1 class="logo"><a href="index.html">NL2Declare</a></h1>








<h3>Navigation</h3>
<p class="caption" role="heading"><span class="caption-text">Contents:</span></p>
<ul class="current">
<li class="toctree-l1 current"><a class="reference internal" href="modules.html">nl2declare</a><ul class="current">
<li class="toctree-l2 current"><a class="reference internal" href="nl2declare.html">nl2declare package</a></li>
</ul>
</li>
</ul>

<div class="relations">
<h3>Related Topics</h3>
<ul>
  <li><a href="index.html">Documentation overview</a><ul>
  <li><a href="modules.html">nl2declare</a><ul>
  <li><a href="nl2declare.html">nl2declare package</a><ul>
      <li>Previous: <a href="nl2declare.lingproc.html" title="previous chapter">nl2declare.lingproc package</a></li>
      <li>Next: <a href="nl2declare.test.lingproc.html" title="next chapter">nl2declare.test.lingproc package</a></li>
  </ul></li>
  </ul></li>
  </ul></li>
</ul>
</div>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" autocomplete="off" autocorrect="off" autocapitalize="off" spellcheck="false"/>
      <input type="submit" value="Go" />
    </form>
    </div>
</div>
<script>document.getElementById('searchbox').style.display = "block"</script>








        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="footer">
      &copy;2024, Pia Halkour, Marc Ludevid Wulf, Julian Kofferath.
      
      |
      Powered by <a href="http://sphinx-doc.org/">Sphinx 5.0.2</a>
      &amp; <a href="https://github.com/bitprophet/alabaster">Alabaster 0.7.12</a>
      
      |
      <a href="_sources/nl2declare.test.rst.txt"
          rel="nofollow">Page source</a>
    </div>

    

    
  </body>
</html>